#include <avr/io.h>
#include "keyb.h"
#include "usart.h"

int main(void) {
	DDRD = _BV(DDD2);
	keybInit();
	usartInit();
	usartSendString("Test");
	while (1) {
		if(UCSRA & _BV(RXC)) {
			uint8_t value = UDR;
			if (value == 'a') {
				PORTD |= _BV(PD2);
			}
			if (value == 'b') {
				PORTD &= ~_BV(PD2);
			}
		}
		if (readKeyboard()) {
			uint8_t key = getKey();
			if (key < 10) usartSendByte('0' + key);
			if (key == 16) {
				usartSendByte(13);
				usartSendByte(10);
			}
		}
	}
}